Error: Cannot find module ‘@vue/cli-plugin-babel‘ 运行 npm run dev 报错

项目场景:

在启动  vue 脚手架


描述

npm  run dev 时报错


解决方案:

1.安装开发依赖:
npm install babel-plugin-import -D

2、删除 node_modules 文件,重新 npm install 或者使用淘宝镜像

npm install --registry=https://registry.npm.taobao.org

  • 1
    点赞
  • 2
    收藏
    觉得还不错? 一键收藏
  • 0
    评论
Parsing error: Cannot find module 'vue/cli-plugin-babel/preset' 是因为你的项目缺少了 @vue/cli-plugin-babel 这个模块。为了解决这个问题,你可以尝试以下几个步骤: 1. 首先,删除项目中的 node_modules 文件夹,然后打开终端并输入命令 `cnpm install`,这将重新安装项目的所有依赖。 2. 如果第一步没有解决问题,你可以尝试安装 babel-plugin-component 插件。在终端输入命令 `npm install babel-plugin-component -D` 或者 `yarn add babel-plugin-component` 安装该插件。 3. 在项目的根目录中找到 .babelrc 文件(如果没有则创建一个),将下面的代码添加到 .babelrc 文件中: ``` { "presets": [["@babel/preset-env", { "modules": false }]], "plugins": [ [ "component", { "libraryName": "element-ui", "styleLibraryName": "theme-chalk" } ] ] } ``` 4. 如果出现报错信息 "Parsing error: Cannot find module 'babel-preset-es2015'",可以尝试将 .babelrc 文件里的 "es2015" 改为 "@babel/preset-env",如下所示: ``` { "presets": [["@babel/preset-env", { "modules": false }]], "plugins": [ [ "component", { "libraryName": "element-ui", "styleLibraryName": "theme-chalk" } ] ] } ``` 5. 如果你希望将配置项写入到 babel.config.js 文件中,可以将以上代码合并到 babel.config.js 文件中,如下所示: ```javascript module.exports = { presets: [ '@vue/cli-plugin-babel/preset', ["@babel/preset-env", { "modules": false }] ], "plugins": [ [ "component", { "libraryName": "element-ui", "styleLibraryName": "theme-chalk" } ] ] } ``` 希望以上步骤能够帮助你解决问题。如果你还有其他相关问题,请继续提问。 相关问题: 1. 如何安装和配置 vue-cli? 2. 什么是 babel-plugin-component 插件?如何使用它? 3. babel.config.js 和 .babelrc 有什么区别?

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值